commit:     3f6c0f2bb38d5901e4b73c81f6fad02b01258534
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 23 06:03:45 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Sep 23 07:28:59 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f6c0f2b

dev-python/gevent: Bump to 20.9.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/gevent/Manifest             |  1 +
 dev-python/gevent/gevent-20.9.0.ebuild | 86 ++++++++++++++++++++++++++++++++++
 2 files changed, 87 insertions(+)

diff --git a/dev-python/gevent/Manifest b/dev-python/gevent/Manifest
index a5155708321..47f2379319e 100644
--- a/dev-python/gevent/Manifest
+++ b/dev-python/gevent/Manifest
@@ -1 +1,2 @@
 DIST gevent-20.6.2.tar.gz 5806612 BLAKE2B 
8b1fbd991cb169292d33001bb0df06702d36eb3849c9251e4fac9e2fb5826eda3435971e39e209f1f537536081ce2730e561e91c398ee66a9b1d55c9d0e5a81a
 SHA512 
65caa9caf8a2913b4c3bcc9a303169ce5837a0d7ccf4fb6b7583bf4ec3a0b288d65fc7e28399f0715e61aed128ffc6e67fc9b455474e47263236136a492021f4
+DIST gevent-20.9.0.tar.gz 5806581 BLAKE2B 
6b1b653fa6e22539e049a9bba3d3a2b9d798a5555ce4ba60ce33ecbdf14bb5201967d22d677e1ce3170129b0763fddfcc5991347186fb102d10ae39e22538c44
 SHA512 
966efc945b623df2521fffadca3b7e56cae1efe6de904a724765e0593389e8b1305094baa6fbc9f4fa376b1157d0f230b01e2a90de21e4b9650614363edec9f4

diff --git a/dev-python/gevent/gevent-20.9.0.ebuild 
b/dev-python/gevent/gevent-20.9.0.ebuild
new file mode 100644
index 00000000000..426eeee02fa
--- /dev/null
+++ b/dev-python/gevent/gevent-20.9.0.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+PYTHON_REQ_USE="ssl(+),threads(+)"
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION="Coroutine-based network library"
+HOMEPAGE="https://www.gevent.org/ https://pypi.org/project/gevent/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 
~amd64-linux ~x86-linux"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-libs/libev-4.23:=
+       dev-libs/libuv:=
+       >=net-dns/c-ares-1.12:=
+       >=dev-python/greenlet-0.4.17
+       dev-python/zope-event[${PYTHON_USEDEP}]
+       dev-python/zope-interface[${PYTHON_USEDEP}]
+       virtual/python-greenlet[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       test? (
+               dev-python/psutil[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_sphinx doc
+
+# Tests take long and fail terribly a few times.
+# It also seems that they require network access.
+#RESTRICT="test"
+
+python_prepare_all() {
+       export LIBEV_EMBED="false"
+       export CARES_EMBED="false"
+       export EMBED="false"
+
+       distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+       append-flags -fno-strict-aliasing
+}
+
+python_test() {
+       cd src/gevent/tests || die
+       # TODO: figure out how to make them work and not hang
+#      GEVENT_RESOLVER=ares \
+#              "${EPYTHON}" -m gevent.tests \
+#              -uall,-network \
+#              --config known_failures.py \
+#              --ignore tests_that_dont_use_resolver.txt || die
+#      GEVENT_RESOLVER=dnspython \
+#              "${EPYTHON}" -m gevent.tests \
+#              -uall,-network \
+#              --config known_failures.py \
+#              --ignore tests_that_dont_use_resolver.txt || die
+#      GEVENT_RESOLVER=thread \
+#              "${EPYTHON}" -m gevent.tests \
+#              --verbose \
+#              -uall,-network \
+#              --config known_failures.py \
+#              --ignore tests_that_dont_use_resolver.txt || die
+       GEVENT_FILE=thread \
+               "${EPYTHON}" -m gevent.tests \
+               --verbose \
+               -uall,-network \
+               --config known_failures.py \
+               test__*subprocess*.py || die
+}
+
+python_install_all() {
+       local DOCS=( AUTHORS README.rst )
+       use examples && dodoc -r examples
+
+       distutils-r1_python_install_all
+}

Reply via email to